LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPropertySetRegistryFactory Interface Referencepublished

A factory for property set registries. More...

`import"XPropertySetRegistryFactory.idl";`

Inheritance diagram for XPropertySetRegistryFactory:

## Public Member Functions
com::sun::star::ucb::XPropertySetRegistry | createPropertySetRegistry ([in] string URL)
| creates a property set registry. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A factory for property set registries.

Version
  1.0

## Member Function Documentation

## ◆ createPropertySetRegistry()

com::sun::star::ucb::XPropertySetRegistry createPropertySetRegistry | ( | [in] string | URL | ) |

creates a property set registry.

Parameters

  URL | The identifier of the registry to create ( e.g. file-URL ). The value can be an empty string.

Returns
  The registry.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XPropertySetRegistryFactory.idl